package com.sifang.modules.supply.setting.form;

import org.hibernate.validator.constraints.NotBlank;

public class AddSupplierVo {

    private String id;

    @NotBlank(message = "name不能为空")
    private String name;
    @NotBlank(message = "loginName不能为空")
    private String loginName;
    @NotBlank(message = "password不能为空")
    private String password;
    @NotBlank(message = "personInCharge不能为空")
    private String personInCharge;
    @NotBlank(message = "mobile不能为空")
    private String mobile;
    @NotBlank(message = "province不能为空")
    private String province;
    @NotBlank(message = "city不能为空")
    private String city;
    @NotBlank(message = "area不能为空")
    private String area;
    @NotBlank(message = "address不能为空")
    private String address;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }



    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
